%global pypi_name  requests-cache 
%global source_name requests_cache

Name:           python-%{pypi_name}
Version:        1.1.0
Release:        1
Summary:	    requests-cache is a persistent HTTP cache that provides an easy way to get better performance with the python requests library.

License:        BSD-2-Clause
URL:            https://github.com/reclosedev/requests-cache
Source0:        https://files.pythonhosted.org/packages/79/13/c37358338bbbe223caf2ec59580be675c1657f3f295598ac69e275590140/requests_cache-1.1.0.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:	python3-hatchling
BuildRequires:	python3-poetry-core

%description
requests-cache is a persistent HTTP cache that provides an easy way to get better performance with the python requests library.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}


%description -n python3-%{pypi_name}
requests-cache is a persistent HTTP cache that provides an easy way to get better performance with the python requests library.

%prep
%autosetup -n %{source_name}-%{version}

%build
%pyproject_build

%install
%pyproject_install


%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{source_name}*


%changelog
* Mon Aug 21 2023 luolu12 <luluoc@isoftstone.com> - 1.1.0-1
- Initial package.
